### Hierarchy

- unknown
  - MarketDepthInfo

## Index

### Constructors

- constructor

### Methods

- addBuyDepth
- addBuyPrices
- addSellDepth
- addSellPrices
- clearBuyDepthList
- clearBuyPricesList
- clearSellDepthList
- clearSellPricesList
- getBuyDepthList
- getBuyPricesList
- getCurrencyCode
- getSellDepthList
- getSellPricesList
- serializeBinary
- setBuyDepthList
- setBuyPricesList
- setCurrencyCode
- setSellDepthList
- setSellPricesList
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new MarketDepthInfo(): MarketDepthInfo

- Inherited from jspb.Message.constructor

  #### Returns MarketDepthInfo

## Methods

### addBuyDepth

- addBuyDepth(value: number, index?: number): MarketDepthInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2181

  #### Parameters

  - ##### value: number

  - ##### Optional index: number

  #### Returns MarketDepthInfo

### addBuyPrices

- addBuyPrices(value: number, index?: number): MarketDepthInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2176

  #### Parameters

  - ##### value: number

  - ##### Optional index: number

  #### Returns MarketDepthInfo

### addSellDepth

- addSellDepth(value: number, index?: number): MarketDepthInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2191

  #### Parameters

  - ##### value: number

  - ##### Optional index: number

  #### Returns MarketDepthInfo

### addSellPrices

- addSellPrices(value: number, index?: number): MarketDepthInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2186

  #### Parameters

  - ##### value: number

  - ##### Optional index: number

  #### Returns MarketDepthInfo

### clearBuyDepthList

- clearBuyDepthList(): MarketDepthInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2180

  #### Returns MarketDepthInfo

### clearBuyPricesList

- clearBuyPricesList(): MarketDepthInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2175

  #### Returns MarketDepthInfo

### clearSellDepthList

- clearSellDepthList(): MarketDepthInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2190

  #### Returns MarketDepthInfo

### clearSellPricesList

- clearSellPricesList(): MarketDepthInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2185

  #### Returns MarketDepthInfo

### getBuyDepthList

- getBuyDepthList(): number[]

- - Defined in src/protobuf/grpc_pb.d.ts:2178

  #### Returns number[]

### getBuyPricesList

- getBuyPricesList(): number[]

- - Defined in src/protobuf/grpc_pb.d.ts:2173

  #### Returns number[]

### getCurrencyCode

- getCurrencyCode(): string

- - Defined in src/protobuf/grpc_pb.d.ts:2170

  #### Returns string

### getSellDepthList

- getSellDepthList(): number[]

- - Defined in src/protobuf/grpc_pb.d.ts:2188

  #### Returns number[]

### getSellPricesList

- getSellPricesList(): number[]

- - Defined in src/protobuf/grpc_pb.d.ts:2183

  #### Returns number[]

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:2193

  #### Returns Uint8Array

### setBuyDepthList

- setBuyDepthList(value: number[]): MarketDepthInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2179

  #### Parameters

  - ##### value: number[]

  #### Returns MarketDepthInfo

### setBuyPricesList

- setBuyPricesList(value: number[]): MarketDepthInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2174

  #### Parameters

  - ##### value: number[]

  #### Returns MarketDepthInfo

### setCurrencyCode

- setCurrencyCode(value: string): MarketDepthInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2171

  #### Parameters

  - ##### value: string

  #### Returns MarketDepthInfo

### setSellDepthList

- setSellDepthList(value: number[]): MarketDepthInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2189

  #### Parameters

  - ##### value: number[]

  #### Returns MarketDepthInfo

### setSellPricesList

- setSellPricesList(value: number[]): MarketDepthInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2184

  #### Parameters

  - ##### value: number[]

  #### Returns MarketDepthInfo

### toObject

- toObject(includeInstance?: boolean): MarketDepthInfo . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2194

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns MarketDepthInfo . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): MarketDepthInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2197

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns MarketDepthInfo

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: MarketDepthInfo, reader: BinaryReader): MarketDepthInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2198

  #### Parameters

  - ##### message: MarketDepthInfo

  - ##### reader: BinaryReader

  #### Returns MarketDepthInfo

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: MarketDepthInfo, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:2196

  #### Parameters

  - ##### message: MarketDepthInfo

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: MarketDepthInfo ): MarketDepthInfo . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2195

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: MarketDepthInfo

  #### Returns MarketDepthInfo . AsObject

Generated using TypeDoc